Bug 1590476 - SELinux is preventing init_t from sending dbus command to oddjob
Summary: SELinux is preventing init_t from sending dbus command to oddjob
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 28
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-12 16:17 UTC by Villy Kruse
Modified: 2018-07-29 03:23 UTC (History)
6 users (show)

Fixed In Version: selinux-policy-3.14.1-36.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-29 03:23:32 UTC
Type: Bug


Attachments (Terms of Use)
The generated AVC messages. (903 bytes, text/plain)
2018-06-12 16:17 UTC, Villy Kruse
no flags Details

Description Villy Kruse 2018-06-12 16:17:45 UTC
Created attachment 1450569 [details]
The generated AVC messages.

Description of problem:

When a user has no home directory at login time, oddjob is asked to create one for the user.  For this it something needs to send a dbus message to the oddjob daemon.

Version-Release number of selected component (if applicable):


How reproducible:

Always when logging in as a user without a home directory

Steps to Reproduce:
1.  Create a new user
2.  Remove the home directory for that user.
3.  Log in as that user.

Actual results:

dbus message is blocked by SELinux

Expected results:

dbus message is allowed by SELinux

Additional info:

Comment 1 Fedora Update System 2018-07-25 22:29:25 UTC
selinux-policy-3.14.1-36.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1050fb248b

Comment 2 Fedora Update System 2018-07-26 16:31:41 UTC
selinux-policy-3.14.1-36.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1050fb248b

Comment 3 Fedora Update System 2018-07-29 03:23:32 UTC
selinux-policy-3.14.1-36.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.